Documents
Upload Client Document
Uploads a document for a specific client. Maximum file size is 50 MB.
POST
/
clients
/
{id}
/
documents
Upload Client Document
curl --request POST \
--url https://api.roostedhr.com/api/1_12/clients/{id}/documents \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"file": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.roostedhr.com/api/1_12/clients/{id}/documents"
payload = {
"file": "<string>",
"name": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>', name: '<string>'})
};
fetch('https://api.roostedhr.com/api/1_12/clients/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"file_name": "<string>",
"date_added": "<string>",
"type": "<string>",
"location": "<string>",
"deleted": 123,
"date_deleted": "2023-11-07T05:31:56Z"
}Upload files using
multipart/form-data encoding. The maximum file size is 50 MB.Authorizations
Path Parameters
Client ID
Body
application/json
Document upload via base64-encoded file content.
Response
Created
Unique document identifier.
Document display name.
Original uploaded file name.
Datetime when the document was uploaded.
Document MIME type or file extension.
URL to the stored document file.
Soft-delete flag (0 = active, 1 = deleted).
Timestamp when the document was soft-deleted, or null if active.
⌘I
Upload Client Document
